<?php

include_once('Database.php');

class Module
{
  var $Database;
  var $Config;
  var $System;
  
  function __construct($System)
  {
    $this->Database = &$System->Database;
    $this->Config = &$System->Config;
    $this->System = &$System;
  }
}

class System 
{
  var $Database;
  var $Config;
  
  function __construct()
  {
    $this->Config = array();
  }
  
  function Init()
  {
  	global $Config;
  	    
    $this->Config = $Config;
    $this->Database = new Database();
    $this->Database->Connect($this->Config['Database']['Host'],
      $this->Config['Database']['User'], $this->Config['Database']['Password'],
      $this->Config['Database']['Database']);
    $this->Database->charset($this->Config['Database']['Charset']);
    $this->Database->ShowSQLQuery = $this->Config['Web']['ShowSQLQuery'];
    $this->Database->ShowSQLError = $this->Config['Web']['ShowSQLError'];
    $this->Database->LogSQLQuery = $this->Config['Web']['LogSQLQuery'];
  }
  
  function GetMicrotime()
  {
    list($Usec, $Sec) = explode(' ', microtime());
    return ((float)$Usec + (float)$Sec);
  }
  
  function Link($Target)
  {
    global $Config;
    
    return($Config['Web']['BaseURL'].$Target);
  } 
} 

?>
