<?php

function ShowShoutbox()
{
  global $System, $Config, $User, $System;
  
  $Output = '<strong><a href="'.$System->Link('/action.php?action=ShoutBoxView').'">Kecátko:</a></strong>';
  if($User->Licence(LICENCE_USER)) 
    $Output .= ' <a href="'.$System->Link('/action.php?action=shoutbox').'">Vložit</a>';
  $Output .= '<div class="box"><table>';
  $DbResult = $System->Database->query('SELECT * FROM `ShoutBox` ORDER BY `ID` DESC LIMIT 30');
  while($Line = $DbResult->fetch_assoc())
    $Output .= '<tr><td><strong>'.$Line['UserName'].'</strong>: '.MakeActiveLinks($Line['Text']).'</td></tr>';
  $Output .= '</table></div>';
  return($Output);
}

function ShowTopBar()
{
  global $Config, $System, $User, $System;
  
  $Output = '<div class="Menu">';
  if(!$User->Licence(LICENCE_USER))
    $Output .= '<div class="advert">'.$Config['Web']['Advertisement'].'</div>';
  $Output .= '<span class="MenuItem"></span>';
  if($User->Licence(LICENCE_USER))
  {
    //$DbResult = $System->Database->query('SELECT `Id`, `Name` FROM `Team` WHERE `Id`='.$User->Team);
    //$Team = $DbResult->fetch_assoc();
    //$Output .= ''<span class="MenuItem">Moje překlady: <a href="">Dokončené</a> <a href="">Rozpracované</a> <a href="">Exporty</a> Tým: <a href="">'.$Team['name'].'</a></span>';
    $Output .= '<span class="MenuItem2">'.$User->Name.' <a href="'.$System->Link('/?action=logout').'">Odhlášení</a> <a href="'.$System->Link('/Options.php').'">Nastavení</a>'.
      ' <a title="Vámi přeložené texty" href="'.$System->Link('/TranslationList.php?user='.$User->Id.'&amp;group=0&amp;state=2&amp;text=&amp;entry=').'">Přeložené</a>'.
      ' <a title="Vaše rozpracované text" href="'.$System->Link('/TranslationList.php?user='.$User->Id.'&amp;group=0&amp;state=3&amp;text=&amp;entry=').'">Rozpracované</a>'.
      ' <a title="Nikým nepřeložené texty" href="'.$System->Link('/TranslationList.php?user=0&amp;group=0&amp;state=1&amp;text=&amp;entry=').'">Nepřeložené</a>'.
      '</span>';
  } else 
  {
    $Output .= '<span class="MenuItem2"><form action="'.$System->Link('/?action=login').'" method="post"> '.
      'Jméno: <input type="text" name="LoginUser" size="8 " /> '.
      'Heslo: <td><input type="password" name="LoginPass" size="8" /> '.
      '<input type="submit" value="Přihlásit" /></form> &nbsp; '.
      '<a href="'.$System->Link('/registrace.php').'">Registrace</a></span>';
  }
  $Output .= '</div>';
  return($Output);
}

function ShowLoginBox()
{
  global $User;
  
  $Output = '';
  if($User->Licence(LICENCE_USER)) 
  {
     // $Output .= 'Jste přihlášen jako: <b>'.$User->Id.'</b> <a href="index.php?Logout">Odhlásit</a>';
  } else 
  {
    $Output .= '<strong>Přihlášení:</strong>
  <form action="" method="post">
  <table>
    <tr>
      <td><input type="text" name="LoginUser" size="13" /></td>
    </tr>
    <tr>
      <td><input type="password" name="LoginPass" size="13" /></td>
    </tr>
    <tr>
      <th><input type="submit" value="Přihlásit" /></th>
    </tr>
  </table>
  </form>';
  }
  return($Output);
}

function ShowSearchBox()
{
  global $System;
  
  $Output = '<strong>Hledání:</strong>'.
  '<form action="'.$System->Link('/action.php').'" method="get"><div>'.
  '<input type="hidden" name="action" value="search" />'.
  '<table>'.
  '<tr>'.
      '<td><input type="text" name="search" size="13" /></td>'.
    '</tr>'.
    '<tr>'.
      '<th><input type="submit" value="Hledat" /></th>'.
    '</tr>'.
  '</table></div>'.
  '</form>';
  return($Output);
}

function ShowMainMenu()
{ 
  global $Config, $User, $System;
  
  $Menu = array
  (
    array(
      'Title' => 'Domů',
      'Hint' => 'Hlavní stránka', 
      'Link' => $System->Link('/'),
      'Permission' => LICENCE_ANONYMOUS,
      'Icon' => '', 
    ),
    array(
      'Title' => 'Slovníček',
      'Hint' => 'Slovník WoW výrazů', 
      'Link' => $System->Link('/dictionary.php'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Stav dokončení',
      'Hint' => 'Stav dokončení překládů', 
      'Link' => $System->Link('/statistic.php'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Překladatelé',
      'Hint' => 'Seznam registrovaných uživatelů', 
      'Link' => $System->Link('/userlist.php?action=nofilter'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Týmy',
      'Hint' => 'Seznam překladatelských týmů', 
      'Link' => $System->Link('/team.php?search='),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Servery',
      'Hint' => 'Seznam serverů, kde je nasazena čeština v praxi', 
      'Link' => $System->Link('/serverlist.php'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Exporty',
      'Hint' => 'Zde si můžete stáhnout přeložené texty', 
      'Link' => $System->Link('/export/'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Soubory',
      'Hint' => 'Stahování různých pomocných souborů a programů', 
      'Link' => $System->Link('/download.php'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Pokyny',
      'Hint' => 'Informace k překladu hry', 
      'Link' => $System->Link('/info.php'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Zdroje dat',
      'Hint' => 'Informace o překladových skupinách', 
      'Link' => $System->Link('/TranslationList.php?action=grouplist'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Propagace',
      'Hint' => 'Informace k propagaci tohoto projektu', 
      'Link' => $System->Link('/banners.php'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Prezentace',
      'Hint' => 'Prezentace a motivace překladu', 
      'Link' => $System->Link('/promotion.php'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Verze hry',
      'Hint' => 'Seznam verzí herního klienta', 
      'Link' => $System->Link('/version.php'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'AoWoW',
      'Hint' => 'Vyhledávací databáze podobná WoWHead s překlady', 
      'Link' => $System->Link('/aowow/'),
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'IRC chat',
      'Hint' => 'IRC chat pro překladatele', 
      'Link' => 'http://embed.mibbit.com/?server=game.zdechov.net%3A6667&amp;channel=%23wowpreklad&amp;forcePrompt=true&amp;charset=utf-8',
      'Permission' => LICENCE_ANONYMOUS, 
      'Icon' => '', 
    ),
    array(
      'Title' => 'Správa',
      'Hint' => 'Volby pro správu', 
      'Link' => $System->Link('/admin/'),
      'Permission' => LICENCE_ADMIN, 
      'Icon' => '', 
    ),
  );
  
  $Output = '<strong>Nabídka:</strong>'.
    '<div class="verticalmenu"><ul>'; 
  foreach($Menu as $MenuItem)
  if($User->Licence($MenuItem['Permission']))
  {
    if(isset($MenuItem['Click'])) $OnClick = ' onclick="'.$MenuItem['Click'].'"'; 
      else $OnClick = '';
    if($MenuItem['Icon'] != '') $Icon = '<img src="'.$System->Link('/images/menu/'.$MenuItem['Icon']).'"/>';
      else $Icon = ''; 
    $Output .= '<li>'.$Icon.'<a class="verticalmenua" title="'.$MenuItem['Hint'].'" href="'.
      $MenuItem['Link'].'"'.$OnClick.'>'.$MenuItem['Title'].'</a></li>';
  }    
  $Output .= '</ul></div>';
  return($Output);
}

function ShowTranslatedMenu()
{
  global $TranslationTree, $User, $System;

  $Output = '<strong>Překladové skupiny:</strong><br /><div id="TranslationMenu">';
  $DbResult = $System->Database->select('Group', '`Id`, `Name`', '1 ORDER BY `Name`');
  while($Group = $DbResult->fetch_assoc())
  {
    $Output .= '<div id="menuitem-group'.$Group['Id'].'" onmouseover="show(\'group'.$Group['Id'].'\')" onmouseout="hide(\'group'.$Group['Id'].'\')">'.
      '<a href="'.$System->Link('/TranslationList.php?group='.$Group['Id'].'&amp;action=filter').'">'.$Group['Name'].'</a></div>'.
      '<div id="group'.$Group['Id'].'" class="hidden-menu-item" onmouseover="show(\'group'.$Group['Id'].'\')" onmouseout="hide(\'group'.$Group['Id'].'\')">';
    $Output .= '&nbsp;<a title="Zde můžete začít překládat" href="'.$System->Link('/TranslationList.php?group='.$Group['Id'].'&amp;state=1&amp;user=0&amp;entry=&amp;text=').'">Nepřeložené</a><br />'.
    '&nbsp;<a title="Přeložené texty, můžete zde hlasovat, nebo opravovat překlady" href="'.$System->Link('/TranslationList.php?group='.$Group['Id'].'&amp;state=2&amp;user=0&amp;entry=&amp;text=').'">Přeložené</a><br />'; 
    if($User->Licence(LICENCE_USER)) 
    {
      $Output .= '&nbsp;<a title="Nedokončené překlady" href="'.$System->Link('/TranslationList.php?group='.$Group['Id'].'&amp;state=3').'">Rozepsané</a><br />
        &nbsp;<a title="Všechny překlady, které jste přeložil" href="'.$System->Link('/TranslationList.php?group='.$Group['Id'].'&amp;state=1&amp;user='.$User->Id).'&amp;entry=&amp;text=">Vlastní</a><br />';
    }
    $Output .= '&nbsp;<a title="Sestavit speciální filtr" href="'.$System->Link('/TranslationList.php?group='.$Group['Id'].'&amp;action=filter').'">Filtr</a><br />';
    $Output .= '</div>';
  }
  $Output .= '</div>';
  return($Output);
}

function ShowOnlineUserList()
{
  global $System, $Moderators, $User;
  
  $Output = 'Online překladatelé:<br />';
  $DbResult = $System->Database->query('SELECT `Name`, `GM`, `User`.`ID` AS `ID` FROM `User` '.
    'LEFT JOIN `UserTrace` ON `UserTrace`.`User` = `User`.`Id` '.
    'WHERE (`LastLogin` >= NOW() - 300) AND ((`LastLogout` < `LastLogin`) OR (ISNULL(`LastLogout`)))');
  while($DbUser = $DbResult->fetch_assoc())
  {
    $Name = '<a href="'.$System->Link('/user.php?user='.$DbUser['ID']).'">'.$DbUser['Name'].'</a>';
    $Output .= '<strong>'.$Name.'</strong><br />';
  }
  return($Output);
}

function ShowHeader()
{
  global $User, $RSSChannels, $System;  
  
  $Output = '<?xml version="1.0" encoding="'.$System->Config['Web']['Charset'].'"?>
  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cz">'.
'<head>'.
'<meta http-equiv="content-type" content="application/xhtml+xml; charset='.$System->Config['Web']['Charset'].'" />'.
'<meta name="keywords" content="wow, quest, questy, questů, preklad, mangos, překlad, překládání, přeložený, přeložení, čeština, world of warcraft, open source, free, addon" />'.
'<meta name="description" content="'.$System->Config['Web']['Title'].'" />'.
'<meta name="robots" content="all" />'.
'<link rel="stylesheet" href="'.$System->Link('/style/style.css').'" type="text/css" media="all" />'.
'<script type="text/javascript" src="'.$System->Link('/style/global.js').'"></script>'.
'<link rel="shortcut icon" href="'.$System->Link('/images/favicon.ico').'" />';
  if(isset($RSSChannels)) 
  foreach($RSSChannels as $Channel)
  {
    $Output .= ' <link rel="alternate" title="'.$Channel['Title'].'" href="'.
      $System->Link('/rss.php?channel='.$Channel['Channel']).'" type="application/rss+xml" />';
  }
  $Output .= '<title>'.$System->Config['Web']['Title'].'</title>
</head>
<body>';

  $Output .= ShowTopBar();
  $Output .= '<table class="page"><tr><td class="menu">';
  $Output .= ShowMainMenu();
  $Output .= ShowOnlineUserList();
  $Output .= '<br />';
  $Output .= ShowSearchBox();
  $Output .= '</td><td id="border-left"></td><td class="content">';
  return($Output);
}

function ShowFooter()
{
  global $System, $ScriptStartTime, $User, $Revision, $ReleaseTime;

    $ScriptGenerateDuration = round(GetMicrotime() - $ScriptStartTime, 2);

    $Output = '</td>'.
      '<td class="menu2">';
    $Output .= ShowTranslatedMenu();
    $Output .= '</td>'.
    '</tr><tr>'.
    '<td colspan="4" class="page-bottom">Verze: '.$Revision.' ('.HumanDate($ReleaseTime).')'.
    ' &nbsp; <a href="http://svn.zdechov.net/trac/wowpreklad/browser/trunk">Zdrojové soubory</a> &nbsp; '.
    '<a href="http://svn.zdechov.net/trac/wowpreklad/log/trunk?verbose=on">Novinky</a> &nbsp; '.
    $System->Config['Web']['WebCounter'];
  
    $Output .= '</td></tr>';
    if($System->Config['Web']['ShowRuntimeInfo'] == true) 
      $Output .= '<tr><td colspan="3" style="text-align: center;">Doba generování: '.$ScriptGenerateDuration.' s / '.ini_get('max_execution_time').' s &nbsp;&nbsp; Použitá paměť: '.HumanSize(memory_get_peak_usage(FALSE)).' / '.ini_get('memory_limit').'B &nbsp;&nbsp; <a href="http://validator.w3.org/check?uri='.htmlentities('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'].'?'.$_SERVER['QUERY_STRING']).'">HTML validator</a></td></tr>';
    $Output .= '</table>'.
      '</body>'.
      '</html>';
    $User->Store();
    return($Output); 
}

function ShowPage($Content)
{
  global $Config;
  
  $Output = ShowHeader().$Content.ShowFooter();
  //if($Config['Web']['FormatOutput']) $Output = FormatOutput($Output);
  echo($Output);
}

?>
